commit:     b3da086a4a97afcad87c434a2792d80e3fe03164
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 26 15:08:20 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Aug 26 15:46:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3da086a

app-text/paper-clip: add live

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-text/paper-clip/paper-clip-9999.ebuild | 69 ++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

diff --git a/app-text/paper-clip/paper-clip-9999.ebuild 
b/app-text/paper-clip/paper-clip-9999.ebuild
new file mode 100644
index 000000000000..869320a239bb
--- /dev/null
+++ b/app-text/paper-clip/paper-clip-9999.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+REAL_PN="Paper-Clip"
+
+inherit gnome2-utils meson vala xdg
+
+DESCRIPTION="Edit the title, author, keywords and more details of PDF 
documents"
+HOMEPAGE="https://github.com/Diego-Ivan/Paper-Clip/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Diego-Ivan/${REAL_PN}.git";
+else
+       SRC_URI="https://github.com/Diego-Ivan/${REAL_PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/${REAL_PN}-${PV}"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+RESTRICT="test"         # Only validations, appdata one fails.
+
+RDEPEND="
+       app-text/poppler:=[cairo,introspection]
+       dev-libs/glib:2
+       dev-libs/gobject-introspection
+       dev-libs/libportal:=
+       gui-libs/gtk:4
+       gui-libs/libadwaita:1
+"
+DEPEND="
+       ${RDEPEND}
+"
+BDEPEND="
+       $(vala_depend)
+       dev-libs/appstream-glib
+       dev-util/desktop-file-utils
+"
+
+DOCS=( README.md )
+
+src_prepare() {
+       default
+       vala_setup
+}
+
+src_install() {
+       meson_src_install
+       einstalldocs
+
+       # Symlink "pdf-metadata-editor" (old name?) to "${PN}"
+       dosym -r /usr/bin/pdf-metadata-editor /usr/bin/${PN}
+
+       mv "${ED}"/usr/share/appdata "${ED}"/usr/share/metainfo || die
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_pkg_postinst
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_pkg_postrm
+}

Reply via email to